Autor Tema: [Desarrollo] OpenWrt en Comtrend AR-5387un  (Leído 636986 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado Tki2000

  • Moderador
  • *
  • Mensajes: 1954
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1140 en: 07-11-2014, 18:47 (Viernes) »
Hola gente! una pregunta rápida, qué kernel llevan los firmwares compilados? (los Barrier Breaker con LuCI); es que necesito un WRT con el kernel 3.14.18-1 para instalar USBIP. Me descargué el Trunk, que según la wiki de OpenWRT (y es cierto) lleva ese kernel, y pude instalar usbip, pero necesito otros programitas y... tengo algunos problemas para instalar cosas, me iría bien LuCI pero no está instalado, y aunque se puede isntalar todo lo que me falta... si esos Barrier Breaker tienen el kernel 3.14.18-1 me sería la épica, sinó seguiré trasteando con el Trunk.

Salud!

Barrier Breaker lleva un kernel 3.10.
Pero en la versión final de Barrier Breaker veo que hay paquetes con usbip. ¿Seguro que te hace falta una versión con kernel 3.14?


No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
El analfabetismo, antes, pasaba desapercibido. Ahora, se transmite por Internet y las redes sociales.
Solo a un mandril epiléptico se le podría haber ocurrido diseñar la cinta de menú de M$.

Altair64

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1141 en: 07-11-2014, 19:45 (Viernes) »
Hola gente! una pregunta rápida, qué kernel llevan los firmwares compilados? (los Barrier Breaker con LuCI); es que necesito un WRT con el kernel 3.14.18-1 para instalar USBIP. Me descargué el Trunk, que según la wiki de OpenWRT (y es cierto) lleva ese kernel, y pude instalar usbip, pero necesito otros programitas y... tengo algunos problemas para instalar cosas, me iría bien LuCI pero no está instalado, y aunque se puede isntalar todo lo que me falta... si esos Barrier Breaker tienen el kernel 3.14.18-1 me sería la épica, sinó seguiré trasteando con el Trunk.

Salud!

Barrier Breaker lleva un kernel 3.10.
Pero en la versión final de Barrier Breaker veo que hay paquetes con usbip. ¿Seguro que te hace falta una versión con kernel 3.14?

Es lo que me decía. Además de que tengo de por sí 3 routers con Barrier Breaker con kernel 3.10 y ninguno me deja instalar el usbip por eso mismo.

De todas formas, en este que le metí trunk y 3.14... tengo problemas con el paquete, lo conseguí instalar pero tengo problemas  ;D 

Desconectado Tki2000

  • Moderador
  • *
  • Mensajes: 1954
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1142 en: 08-11-2014, 12:46 (Sábado) »
Hola gente! una pregunta rápida, qué kernel llevan los firmwares compilados? (los Barrier Breaker con LuCI); es que necesito un WRT con el kernel 3.14.18-1 para instalar USBIP. Me descargué el Trunk, que según la wiki de OpenWRT (y es cierto) lleva ese kernel, y pude instalar usbip, pero necesito otros programitas y... tengo algunos problemas para instalar cosas, me iría bien LuCI pero no está instalado, y aunque se puede isntalar todo lo que me falta... si esos Barrier Breaker tienen el kernel 3.14.18-1 me sería la épica, sinó seguiré trasteando con el Trunk.

Salud!

Barrier Breaker lleva un kernel 3.10.
Pero en la versión final de Barrier Breaker veo que hay paquetes con usbip. ¿Seguro que te hace falta una versión con kernel 3.14?

Es lo que me decía. Además de que tengo de por sí 3 routers con Barrier Breaker con kernel 3.10 y ninguno me deja instalar el usbip por eso mismo.

De todas formas, en este que le metí trunk y 3.14... tengo problemas con el paquete, lo conseguí instalar pero tengo problemas  ;D 

¿Qué te pasa con el kernel 3.10?
No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
El analfabetismo, antes, pasaba desapercibido. Ahora, se transmite por Internet y las redes sociales.
Solo a un mandril epiléptico se le podría haber ocurrido diseñar la cinta de menú de M$.

Altair64

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1143 en: 08-11-2014, 12:59 (Sábado) »
¿Qué te pasa con el kernel 3.10?

Que no me deja instalar usbip porque requiere el otro kernel (3.14). Y forzando la instalación el programa no funciona.

Sekmeth

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1144 en: 08-11-2014, 21:22 (Sábado) »
noentiendero, ¿no te sirve esta compilación?
Es la que yo le tengo puesta.

https://foro.seguridadwireless.net/openwrt/openwrt-en-comtrend-ar5387un/msg317391/#msg317391

Si alguien quiere probar una compilacion para este equipo basada en la version trunk Chaos Calmer r42608 aqui dejo el enlace:

http://www.mediafire.com/download/ed83r91d6f949fy/openwrt-AR-5387un-squashfs-cfe-trunk_r42608.bin

La WiFi ya funciona perfectamente con este repo oficial por lo que la info en el post #1 esta desactualizada.

Esta compilacion tiene lo siguiente:

Driver WiFi brcmsmac, FPU Emulation, zram, LuCi, UPnP, DDNS, QoS, nano, samba, soporte ext2-3-4, ntfs, vfat, cif, soporte para impresoras, hdidle y todos los drivers para dispositivos wifi USB.

Y como siempre aviso para lo mas nuevos / despistados: las funciones del modem DSL bajo Openwrt en estos equipos con SoC Broadcom NO estan operativas. Vamos que si le poneis Openwrt no podeis usar el router como router ADSL.

Altair64

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1145 en: 09-11-2014, 00:42 (Domingo) »
noentiendero, ¿no te sirve esta compilación?
Es la que yo le tengo puesta.

https://foro.seguridadwireless.net/openwrt/openwrt-en-comtrend-ar5387un/msg317391/#msg317391

Si alguien quiere probar una compilacion para este equipo basada en la version trunk Chaos Calmer r42608 aqui dejo el enlace:

http://www.mediafire.com/download/ed83r91d6f949fy/openwrt-AR-5387un-squashfs-cfe-trunk_r42608.bin

La WiFi ya funciona perfectamente con este repo oficial por lo que la info en el post #1 esta desactualizada.

Esta compilacion tiene lo siguiente:

Driver WiFi brcmsmac, FPU Emulation, zram, LuCi, UPnP, DDNS, QoS, nano, samba, soporte ext2-3-4, ntfs, vfat, cif, soporte para impresoras, hdidle y todos los drivers para dispositivos wifi USB.

Y como siempre aviso para lo mas nuevos / despistados: las funciones del modem DSL bajo Openwrt en estos equipos con SoC Broadcom NO estan operativas. Vamos que si le poneis Openwrt no podeis usar el router como router ADSL.

Quizás sí, de todas formas el usbip me instaló bien con la trunk pero no funciona, por algun problema suyo propio o quien sabe...
pero bueno, de todas creo que se la meteré esa compilación, aunque sea para dejar el router con un wrt completito ya instalado  ;D

Salud!
« Última modificación: 09-11-2014, 00:43 (Domingo) por noentiendero »

Desconectado Tki2000

  • Moderador
  • *
  • Mensajes: 1954
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1146 en: 09-11-2014, 11:51 (Domingo) »
¿Qué te pasa con el kernel 3.10?

Que no me deja instalar usbip porque requiere el otro kernel (3.14). Y forzando la instalación el programa no funciona.

Yo no he tenido problema en instalarlo:

Código: [Seleccionar]
Installing usbip-server (1.1.1-2) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/usbip-server_1.1.1-2_brcm63xx.ipk.
Installing usbip (1.1.1-2) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/usbip_1.1.1-2_brcm63xx.ipk.
Installing libsysfs (2.1.0-2) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/libsysfs_2.1.0-2_brcm63xx.ipk.
Installing libwrap (7.6-1) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/libwrap_7.6-1_brcm63xx.ipk.
Installing kmod-usbip (3.10.32-1) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/kmod-usbip_3.10.32-1_brcm63xx.ipk.
Installing usbip-client (1.1.1-2) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/usbip-client_1.1.1-2_brcm63xx.ipk.
Installing kmod-usbip-client (3.10.32-1) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/kmod-usbip-client_3.10.32-1_brcm63xx.ipk.
Installing kmod-usbip-server (3.10.32-1) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/kmod-usbip-server_3.10.32-1_brcm63xx.ipk.
Configuring kmod-usbip.
Configuring libsysfs.
Configuring libwrap.
Configuring usbip.
Configuring kmod-usbip-client.
Configuring usbip-client.
Configuring kmod-usbip-server.
Configuring usbip-server.

Y mi kernel es un 3.10...
No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
El analfabetismo, antes, pasaba desapercibido. Ahora, se transmite por Internet y las redes sociales.
Solo a un mandril epiléptico se le podría haber ocurrido diseñar la cinta de menú de M$.

Desconectado Tki2000

  • Moderador
  • *
  • Mensajes: 1954
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1147 en: 09-11-2014, 13:37 (Domingo) »
El usbip client en la parte de windows la he podido hacer funcionar con el driver de esta página: http://www.linux.org.ru/forum/admin/9035196. El driver original del proyecto usbip da un error de conflicto de versiones y no he podido hacerlo funcionar, pero el de esa página sí...
Y como ves tengo un kernel 3.10 con un BB antigüito...

La URL directa al driver es ésta: http://excogitation.de/projects/berry/usbip_win_obcd.zip

Si estáis usando linux, no sé si habrá conflicto o no.
No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
El analfabetismo, antes, pasaba desapercibido. Ahora, se transmite por Internet y las redes sociales.
Solo a un mandril epiléptico se le podría haber ocurrido diseñar la cinta de menú de M$.

Altair64

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1148 en: 09-11-2014, 16:31 (Domingo) »
¿Qué te pasa con el kernel 3.10?

Que no me deja instalar usbip porque requiere el otro kernel (3.14). Y forzando la instalación el programa no funciona.

Yo no he tenido problema en instalarlo:

Código: [Seleccionar]
Installing usbip-server (1.1.1-2) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/usbip-server_1.1.1-2_brcm63xx.ipk.
Installing usbip (1.1.1-2) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/usbip_1.1.1-2_brcm63xx.ipk.
Installing libsysfs (2.1.0-2) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/libsysfs_2.1.0-2_brcm63xx.ipk.
Installing libwrap (7.6-1) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/libwrap_7.6-1_brcm63xx.ipk.
Installing kmod-usbip (3.10.32-1) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/kmod-usbip_3.10.32-1_brcm63xx.ipk.
Installing usbip-client (1.1.1-2) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/usbip-client_1.1.1-2_brcm63xx.ipk.
Installing kmod-usbip-client (3.10.32-1) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/kmod-usbip-client_3.10.32-1_brcm63xx.ipk.
Installing kmod-usbip-server (3.10.32-1) to root...
Downloading http://192.168.1.42/HG556a-WRT-Repository-3.10.32-1/kmod-usbip-server_3.10.32-1_brcm63xx.ipk.
Configuring kmod-usbip.
Configuring libsysfs.
Configuring libwrap.
Configuring usbip.
Configuring kmod-usbip-client.
Configuring usbip-client.
Configuring kmod-usbip-server.
Configuring usbip-server.

Y mi kernel es un 3.10...

Pues yo no miento, digo lo que me ponía, teniendo un 3.10 (lo comprobé con el uname -r). Quizás fuese cosa de la compilación que tenía instalada  ;D 

El problema -en principio- lo tengo en la parte del OpenWRT, que quiero que sirva de Server, me pasa esto al querer hacer share sobre X dispositivo conectado :

Código: [Seleccionar]
root@OpenWrt-AR5387un:~# usbip_bind_driver --list
List USB devices
 - busid 1-1 (0a12:0001)
         1-1:1.0 -> none
         1-1:1.1 -> none
         1-1:1.2 -> none
         1-1:1.3 -> none
root@OpenWrt-AR5387un:~# usbip_bind_driver --usbip 1-1
** (process:866): WARNING **: add 1-1 to match_busid, failed
root@OpenWrt-AR5387un:~#

Desconectado Tki2000

  • Moderador
  • *
  • Mensajes: 1954
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1149 en: 09-11-2014, 18:48 (Domingo) »
Pues yo no miento, digo lo que me ponía, teniendo un 3.10 (lo comprobé con el uname -r). Quizás fuese cosa de la compilación que tenía instalada  ;D 

El problema -en principio- lo tengo en la parte del OpenWRT, que quiero que sirva de Server, me pasa esto al querer hacer share sobre X dispositivo conectado :

Código: [Seleccionar]
root@OpenWrt-AR5387un:~# usbip_bind_driver --list
List USB devices
 - busid 1-1 (0a12:0001)
         1-1:1.0 -> none
         1-1:1.1 -> none
         1-1:1.2 -> none
         1-1:1.3 -> none
root@OpenWrt-AR5387un:~# usbip_bind_driver --usbip 1-1
** (process:866): WARNING **: add 1-1 to match_busid, failed
root@OpenWrt-AR5387un:~#


Parece que no te reconoce los dispositivos conectados.
¿Cómo has compilado los programas en user-space?
Yo los que tengo son usbip e usbipd. Al hacer un listado obtengo esto:

Código: [Seleccionar]
root@OpenWrt:~# usbip list -p -l
busid=1-1#usbid=0424:2502#1-1:1.0=hub#
busid=1-1.1#usbid=18a5:0302#1-1.1:1.0=usb-storage#
busid=1-1.2#usbid=2341:0043#1-1.2:1.0=cdc_acm#1-1.2:1.1=cdc_acm#

Para hacer el bind:
Código: [Seleccionar]
root@OpenWrt:~# usbip bind -b 1-1.2
bind device on busid 1-1.2: complete

Luego pongo en marcha en daemon usbipd y ya puedo acceder al usb en remoto.

No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
El analfabetismo, antes, pasaba desapercibido. Ahora, se transmite por Internet y las redes sociales.
Solo a un mandril epiléptico se le podría haber ocurrido diseñar la cinta de menú de M$.

miado

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1150 en: 10-11-2014, 12:12 (Lunes) »
Hola a tod@s.
Tengo OpenWrt corriendo perfectamente con php5 + mysql + phpbb3, va de momento de lujo, tengo ahora mismo 2 foros puestos y fenomenal, lo tengo conectado por cable al router Arj45, me gustaría poder ponerlo por Wifi, lo he conectado por wifi, el router está justo al lado y me viene mejora así ya que no tengo que tener el cable de red colgando, el problema está que al cabo de 4 o 5 minutos se desconecta o bien para conectar tarda muchísimo y me da un timeout.
Sabéis que puede estar pasando ya que por cable no hay problema.

Edito:  Es como si tuviera constantes cortes de Wifi. (se conecta al rato se desconecta, se vuelve a conectar a los 3 minutos se desconecta.... etc)

El firmware que tengo instalado es este:
Versión del firmware OpenWrt Barrier Breaker 14.07-rc3 / LuCI Trunk (git-7a26a77)
Versión del Kernel   3.10.49

Gracias chic@s 8)
« Última modificación: 10-11-2014, 12:35 (Lunes) por miado »

Altair64

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1151 en: 10-11-2014, 20:00 (Lunes) »
Pues yo no miento, digo lo que me ponía, teniendo un 3.10 (lo comprobé con el uname -r). Quizás fuese cosa de la compilación que tenía instalada  ;D 

El problema -en principio- lo tengo en la parte del OpenWRT, que quiero que sirva de Server, me pasa esto al querer hacer share sobre X dispositivo conectado :

Código: [Seleccionar]
root@OpenWrt-AR5387un:~# usbip_bind_driver --list
List USB devices
 - busid 1-1 (0a12:0001)
         1-1:1.0 -> none
         1-1:1.1 -> none
         1-1:1.2 -> none
         1-1:1.3 -> none
root@OpenWrt-AR5387un:~# usbip_bind_driver --usbip 1-1
** (process:866): WARNING **: add 1-1 to match_busid, failed
root@OpenWrt-AR5387un:~#


Parece que no te reconoce los dispositivos conectados.
¿Cómo has compilado los programas en user-space?
Yo los que tengo son usbip e usbipd. Al hacer un listado obtengo esto:

Código: [Seleccionar]
root@OpenWrt:~# usbip list -p -l
busid=1-1#usbid=0424:2502#1-1:1.0=hub#
busid=1-1.1#usbid=18a5:0302#1-1.1:1.0=usb-storage#
busid=1-1.2#usbid=2341:0043#1-1.2:1.0=cdc_acm#1-1.2:1.1=cdc_acm#

Para hacer el bind:
Código: [Seleccionar]
root@OpenWrt:~# usbip bind -b 1-1.2
bind device on busid 1-1.2: complete

Luego pongo en marcha en daemon usbipd y ya puedo acceder al usb en remoto.



Compilar no compilé nada, los instalé con opkg, aunque tuve que buscar en nosecual repositorio los paquetes usbip-xxx porque en el que me venía con trunk, sólo tenía los kmod. Además usbip no me sirve para listar nada, tengo que usar usbip_bind_server o algo así.

Voy a probar la compilación que me dijiste antes, ¿eso que te saca a tí el comando es con esa compilación y el mismo router?

Desconectado Tki2000

  • Moderador
  • *
  • Mensajes: 1954
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1152 en: 11-11-2014, 13:31 (Martes) »
Voy a probar la compilación que me dijiste antes, ¿eso que te saca a tí el comando es con esa compilación y el mismo router?

La revisión es la r39930 de Barrier Breaker para un HG556. El kernel es el 3.10.32.

Pero aunque te bajes esa revisión de openwrt para compilar seguramente no te funcionará el wifi para el ar5387un. A lo mejor utilizando la "rc3" de Noltari puedes tener la wifi y los paquetes necesarios: https://foro.seguridadwireless.net/openwrt/(repositorio)-barrier-breaker-14-07-rc3/

Como última instancia a lo mejor se puede compilar una versión con wifi para el ar5387un (que puede que no tengan los paquetes usbip) y después intentar compilar los paquetes usbip de otra revisión, e intentar instalarlos forzando dependencias. La cosa está en buscar dos revisiones que tengan ambas cosas y que no difieran mucho en la numeración del kernel para intentar que sean lo más compatibles posible.

De todas formas y antes de lanzarnos a tal evento, puedes probar los paquetes que tengo compilados y que puede que sean compatibles con la versión que tengas ahora instalada: http://www.mediafire.com/download/xyhdfzbthg3j0kb/usbip_brcm63xx.zip
Instálalos con opkg uno a uno en el mismo orden en el que se ven que se han instalado en el log que te puse. Total, por probar no se pierde nada.
No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
El analfabetismo, antes, pasaba desapercibido. Ahora, se transmite por Internet y las redes sociales.
Solo a un mandril epiléptico se le podría haber ocurrido diseñar la cinta de menú de M$.

Altair64

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1153 en: 11-11-2014, 13:53 (Martes) »
Voy a probar la compilación que me dijiste antes, ¿eso que te saca a tí el comando es con esa compilación y el mismo router?

La revisión es la r39930 de Barrier Breaker para un HG556. El kernel es el 3.10.32.

Pero aunque te bajes esa revisión de openwrt para compilar seguramente no te funcionará el wifi para el ar5387un. A lo mejor utilizando la "rc3" de Noltari puedes tener la wifi y los paquetes necesarios: https://foro.seguridadwireless.net/openwrt/(repositorio)-barrier-breaker-14-07-rc3/

Como última instancia a lo mejor se puede compilar una versión con wifi para el ar5387un (que puede que no tengan los paquetes usbip) y después intentar compilar los paquetes usbip de otra revisión, e intentar instalarlos forzando dependencias. La cosa está en buscar dos revisiones que tengan ambas cosas y que no difieran mucho en la numeración del kernel para intentar que sean lo más compatibles posible.

De todas formas y antes de lanzarnos a tal evento, puedes probar los paquetes que tengo compilados y que puede que sean compatibles con la versión que tengas ahora instalada: http://www.mediafire.com/download/xyhdfzbthg3j0kb/usbip_brcm63xx.zip
Instálalos con opkg uno a uno en el mismo orden en el que se ven que se han instalado en el log que te puse. Total, por probar no se pierde nada.

Realmente el wifi es lo de menos, no lo iría a usar en ese router, iría conectado por cable y lo usaría elementalmente por el tema ese del usbip, porque tengo X cosa en un sitio concreto que necesita conectarse por USB a algo que tenga cpu x86...
podría poner un ordenador, incluyendo una plaquita x86, pero... bueno, un router sería más apañado  ;D 

Altair64

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1154 en: 18-11-2014, 23:10 (Martes) »
Hola de nuevo! Disculpad por la inactividad y el reflote, pero encontré un rato libre para cambiar el firmware al router.

Me hice un pequeño lío con los usuarios que me ayudásteis cuando pregunté sobre el tema  ;D Tki2000 a tí te funcionaba el usbip correctamente, pero en el HG556. Me bajé la siguiente compilación para el de jazztel:

Si alguien quiere probar una compilacion para este equipo basada en la version trunk Chaos Calmer r42608 aqui dejo el enlace:

http://www.mediafire.com/download/ed83r91d6f949fy/openwrt-AR-5387un-squashfs-cfe-trunk_r42608.bin

La WiFi ya funciona perfectamente con este repo oficial por lo que la info en el post #1 esta desactualizada.

Esta compilacion tiene lo siguiente:

Driver WiFi brcmsmac, FPU Emulation, zram, LuCi, UPnP, DDNS, QoS, nano, samba, soporte ext2-3-4, ntfs, vfat, cif, soporte para impresoras, hdidle y todos los drivers para dispositivos wifi USB.


pero no consigo instalar nada de nada, ni desde repositorios ni desde el zip que me pasaste. No sé qué compilación probar ahora, aunque si hablas de un HG556, quizás mi próximo paso sea probar con un HG556a  8)  
tienes el wrt con la revisión r39930, pero no existe por la red ningún binario compilado, no?

(para más señas, esto es lo que me vendría pasando con el nuevo firmware:

Código: [Seleccionar]
root@OpenWrt:/comp# opkg install 1.ipk
Installing libsysfs (2.1.0-2) to root...
Collected errors:
 * opkg_install_pkg: Package libsysfs md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package libsysfs.
root@OpenWrt:/comp# opkg install 2.ipk
Installing libwrap (7.6-1) to root...
Collected errors:
 * opkg_install_pkg: Package libwrap md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package libwrap.
root@OpenWrt:/comp# opkg install 3.ipk
Installing usbip (1.1.1-2) to root...
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for usbip:
 * kernel (= 3.14.18-1-9d2c1aabc7c549d8b64d63c34ec0edbc) *
 * opkg_install_cmd: Cannot install package usbip.
root@OpenWrt:/comp# uname -r
3.14.18
« Última modificación: 18-11-2014, 23:10 (Martes) por noentiendero »

Desconectado Tki2000

  • Moderador
  • *
  • Mensajes: 1954
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1155 en: 19-11-2014, 19:55 (Miércoles) »
Hola de nuevo! Disculpad por la inactividad y el reflote, pero encontré un rato libre para cambiar el firmware al router.

Me hice un pequeño lío con los usuarios que me ayudásteis cuando pregunté sobre el tema  ;D Tki2000 a tí te funcionaba el usbip correctamente, pero en el HG556. Me bajé la siguiente compilación para el de jazztel:

Si alguien quiere probar una compilacion para este equipo basada en la version trunk Chaos Calmer r42608 aqui dejo el enlace:

http://www.mediafire.com/download/ed83r91d6f949fy/openwrt-AR-5387un-squashfs-cfe-trunk_r42608.bin

La WiFi ya funciona perfectamente con este repo oficial por lo que la info en el post #1 esta desactualizada.

Esta compilacion tiene lo siguiente:

Driver WiFi brcmsmac, FPU Emulation, zram, LuCi, UPnP, DDNS, QoS, nano, samba, soporte ext2-3-4, ntfs, vfat, cif, soporte para impresoras, hdidle y todos los drivers para dispositivos wifi USB.


pero no consigo instalar nada de nada, ni desde repositorios ni desde el zip que me pasaste. No sé qué compilación probar ahora, aunque si hablas de un HG556, quizás mi próximo paso sea probar con un HG556a  8)  
tienes el wrt con la revisión r39930, pero no existe por la red ningún binario compilado, no?

(para más señas, esto es lo que me vendría pasando con el nuevo firmware:

Código: [Seleccionar]
root@OpenWrt:/comp# opkg install 1.ipk
Installing libsysfs (2.1.0-2) to root...
Collected errors:
 * opkg_install_pkg: Package libsysfs md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package libsysfs.
root@OpenWrt:/comp# opkg install 2.ipk
Installing libwrap (7.6-1) to root...
Collected errors:
 * opkg_install_pkg: Package libwrap md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package libwrap.
root@OpenWrt:/comp# opkg install 3.ipk
Installing usbip (1.1.1-2) to root...
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for usbip:
 * kernel (= 3.14.18-1-9d2c1aabc7c549d8b64d63c34ec0edbc) *
 * opkg_install_cmd: Cannot install package usbip.
root@OpenWrt:/comp# uname -r
3.14.18

Los paquetes que puse son para un kernel 3.10, no para un 3.14. Dudo que funcionen. Prueba a poner un Barrier Breaker vulgaris y prueba con los paquetes otra vez...
No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
El analfabetismo, antes, pasaba desapercibido. Ahora, se transmite por Internet y las redes sociales.
Solo a un mandril epiléptico se le podría haber ocurrido diseñar la cinta de menú de M$.

Altair64

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1156 en: 20-11-2014, 16:20 (Jueves) »
Me flasheé la compilación Barrier Breaker RC3 que sale en el hilo, la liada es que ahora me pide la dependencia del kernel 3.14.18 para instalar kmod-usb-core o.O y me parece que también kmod-usbip
La compilación que tengo ahora tiene un kernel 3.10.49, y el paquete usbip no puedo instalarlo por culpa del kmod-usb-core  :-X 
hacer un --force-depends no soluciona el tema

Código: [Seleccionar]
root@OpenWrt:/compartido# opkg install --force-checksum 3.ipk
Installing usbip (1.1.1-2) to root...
Multiple packages (kmod-usb-core and kmod-usb-core) providing same name marked HOLD or PREFER. Using latest.
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for usbip:
 * kernel (= 3.14.18-1-af9c2597f99c600b862f5eb98143f47c) *
 * opkg_install_cmd: Cannot install package usbip.
root@OpenWrt:/compartido# uname -r
3.10.49

Aquí un --force-depends al instalar el paquete usbip-xxx.ipk:
Código: [Seleccionar]
root@OpenWrt:/compartido# opkg install 3.ipk --force-depends
Installing usbip (1.1.1-2) to root...
Installing kmod-usbip (3.14.18-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/brcm63xx/packages/base/kmod-usbip_3.14.18-1_brcm63xx.ipk.
Configuring kmod-usb-core.
//usr/lib/opkg/info/kmod-usb-core.postinst: line 4: default_postinst: not found
Configuring kmod-usbip.
//usr/lib/opkg/info/kmod-usbip.postinst: line 4: default_postinst: not found
Configuring usbip.
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for usbip:
 * kernel (= 3.14.18-1-af9c2597f99c600b862f5eb98143f47c) *
 * pkg_run_script: package "kmod-usb-core" postinst script returned status 127.
 * opkg_configure: kmod-usb-core.postinst returned 127.
 * pkg_run_script: package "kmod-usbip" postinst script returned status 127.
 * opkg_configure: kmod-usbip.postinst returned 127.
root@OpenWrt:/compartido#

Salud!

Desconectado Tki2000

  • Moderador
  • *
  • Mensajes: 1954
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1157 en: 20-11-2014, 17:07 (Jueves) »
Me flasheé la compilación Barrier Breaker RC3 que sale en el hilo, la liada es que ahora me pide la dependencia del kernel 3.14.18 para instalar kmod-usb-core o.O y me parece que también kmod-usbip
La compilación que tengo ahora tiene un kernel 3.10.49, y el paquete usbip no puedo instalarlo por culpa del kmod-usb-core  :-X 
hacer un --force-depends no soluciona el tema

Código: [Seleccionar]
root@OpenWrt:/compartido# opkg install --force-checksum 3.ipk
Installing usbip (1.1.1-2) to root...
Multiple packages (kmod-usb-core and kmod-usb-core) providing same name marked HOLD or PREFER. Using latest.
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for usbip:
 * kernel (= 3.14.18-1-af9c2597f99c600b862f5eb98143f47c) *
 * opkg_install_cmd: Cannot install package usbip.
root@OpenWrt:/compartido# uname -r
3.10.49

Aquí un --force-depends al instalar el paquete usbip-xxx.ipk:
Código: [Seleccionar]
root@OpenWrt:/compartido# opkg install 3.ipk --force-depends
Installing usbip (1.1.1-2) to root...
Installing kmod-usbip (3.14.18-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/brcm63xx/packages/base/kmod-usbip_3.14.18-1_brcm63xx.ipk.
Configuring kmod-usb-core.
//usr/lib/opkg/info/kmod-usb-core.postinst: line 4: default_postinst: not found
Configuring kmod-usbip.
//usr/lib/opkg/info/kmod-usbip.postinst: line 4: default_postinst: not found
Configuring usbip.
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for usbip:
 * kernel (= 3.14.18-1-af9c2597f99c600b862f5eb98143f47c) *
 * pkg_run_script: package "kmod-usb-core" postinst script returned status 127.
 * opkg_configure: kmod-usb-core.postinst returned 127.
 * pkg_run_script: package "kmod-usbip" postinst script returned status 127.
 * opkg_configure: kmod-usbip.postinst returned 127.
root@OpenWrt:/compartido#

Salud!

Si tienes instalado un kernel 3.10, no intentes instalar el paquete del trunk (que te pide un kernel 3.14). Instálalo desde la estable de BB: http://downloads.openwrt.org/barrier_breaker/14.07/brcm63xx/generic/packages/base/
Revísate también la forma de forzar los módulos del kernel, porque si la numeración del kernel no coincide, seguramente tendrás que cambiar el módulo de directorio: https://foro.seguridadwireless.net/openwrt/(tutorial)-como-intentar-instalar-paquetes-dependientes-del-kernel/
No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
El analfabetismo, antes, pasaba desapercibido. Ahora, se transmite por Internet y las redes sociales.
Solo a un mandril epiléptico se le podría haber ocurrido diseñar la cinta de menú de M$.

Altair64

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1158 en: 20-11-2014, 23:28 (Jueves) »
Buf, al final lo conseguí! no se ni cómo!  >:(   
Ahora me queda otra liada más, pelearme con el cliente, que en un ordenador lo conseguí hacer funcionar, pero en el que quiero... se me resiste! pero esto ya es otro cantar, el tema del server al menos creo que lo tengo resuelto.

Gracias por la ayuda!

mekkon

  • Visitante
Re: [Desarrollo] OpenWrt en Comtrend AR-5387un
« Respuesta #1159 en: 04-12-2014, 11:58 (Jueves) »
Buenas,

El caso es que quiero tener Barrier Breaker con los parches del wifi del trunk de openwrt para eswte router, ¿son estos quizás?

https://dev.openwrt.org/ticket/13631 (2553 y 2554)

Actualmente tengo puesto un firm basado en trunk, pero algunos paquetes no están y mientras Chaos Calmer no este listo del todo, me decanto más por BB.

un saludo.